OGRE-Next: Ogre::LodConfig Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::LodConfig Struct Reference

`#include <OgreLodConfig.h>`

## Classes
struct | Advanced

## Public Types
typedef vector< LodLevel >::type | LodLevelList

## Public Member Functions
| LodConfig ()
| LodConfig (v1::MeshPtr &_mesh, LodStrategy *_strategy=DistanceLodStrategy::getSingletonPtr())
void | createGeneratedLodLevel (Ogre::Real distance, Real reductionValue, LodLevel::VertexReductionMethod reductionMethod=LodLevel::VRM_PROPORTIONAL)
void | createManualLodLevel (Ogre::Real distance, const String &manualMeshName)

## Public Attributes
struct _OgreLodExport Ogre::LodConfig::Advanced | advanced
LodLevelList | levels
| Info about Lod levels.
v1::MeshPtr | mesh
| The mesh which we want to reduce.
LodStrategy * | strategy
| Lod strategy to use.

## Member Typedef Documentation

## ◆ LodLevelList

typedef vector<LodLevel>::type Ogre::LodConfig::LodLevelList

## Constructor & Destructor Documentation

## ◆ LodConfig() [1/2]

Ogre::LodConfig::LodConfig | ( | v1::MeshPtr & | _mesh,
|  | LodStrategy * | _strategy = DistanceLodStrategy::getSingletonPtr() )

References Ogre::DistanceLodBoxStrategy::getSingletonPtr().

## ◆ LodConfig() [2/2]

Ogre::LodConfig::LodConfig | ( |  | ) |

## Member Function Documentation

## ◆ createGeneratedLodLevel()

void Ogre::LodConfig::createGeneratedLodLevel | ( | Ogre::Real | distance,
|  | Real | reductionValue,
|  | LodLevel::VertexReductionMethod | reductionMethod = LodLevel::VRM_PROPORTIONAL )

References Ogre::LodLevel::VRM_PROPORTIONAL.

## ◆ createManualLodLevel()

void Ogre::LodConfig::createManualLodLevel | ( | Ogre::Real | distance,
|  | const String & | manualMeshName )

## Member Data Documentation

## ◆ advanced

struct _OgreLodExport Ogre::LodConfig::Advanced Ogre::LodConfig::advanced

## ◆ levels

LodLevelList Ogre::LodConfig::levels

Info about Lod levels.

## ◆ mesh

v1::MeshPtr Ogre::LodConfig::mesh

The mesh which we want to reduce.

## ◆ strategy

LodStrategy* Ogre::LodConfig::strategy

Lod strategy to use.

The documentation for this struct was generated from the following file:

- OgreLodConfig.h